title: goal protocols
---
## goal protocols







### Synopsis



Dump standard consensus protocols as json to stdout.



```

goal protocols [flags]

```



### Options



```

  -h, --help   help for protocols

```



### Options inherited from parent commands



```

  -d, --datadir stringArray   Data directory for the node

  -k, --kmddir string         Data directory for kmd

```



### SEE ALSO



* [goal](../../goal/goal/)	 - CLI for interacting with Algorand



